Bug 854046 - patch to replace init.d script with systemd service
patch to replace init.d script with systemd service
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: soundmodem (Show other bugs)
17
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 14:24 EDT by Alan Crosswell
Modified: 2013-08-01 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 12:56:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to soundmodem.spec (3.50 KB, application/octet-stream)
2012-09-03 14:24 EDT, Alan Crosswell
no flags Details
systemd soundmodem.service (126 bytes, text/plain)
2012-09-03 14:24 EDT, Alan Crosswell
no flags Details
patch to soundmodem.spec (1.89 KB, patch)
2012-09-03 15:12 EDT, Alan Crosswell
no flags Details | Diff
patch to soundmodem.spec (1.23 KB, patch)
2012-09-03 15:14 EDT, Alan Crosswell
no flags Details | Diff
systemd soundmodem.service (154 bytes, text/plain)
2012-09-23 16:02 EDT, Alan Crosswell
no flags Details

  None (edit)
Description Alan Crosswell 2012-09-03 14:24:03 EDT
Created attachment 609456 [details]
patch to soundmodem.spec

Description of problem:
soundmodem is delivered with a SysV init script (/etc/rc.d/init.d/soundmodem)
New Fedora Core releases have deprecated init scripts in favor of systemd. This bug has a patched SPEC and systemd.service file attached.

Version-Release number of selected component (if applicable):
0.15-3

How reproducible:


Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:


Additional info:

See attached patch to the soundmodem.spec and systemd soundmodem.service file to follow.
Comment 1 Alan Crosswell 2012-09-03 14:24:48 EDT
Created attachment 609457 [details]
systemd soundmodem.service
Comment 2 Alan Crosswell 2012-09-03 14:47:33 EDT
(In reply to comment #0)
> Created attachment 609456 [details]
> patch to soundmodem.spec
> 
> Description of problem:
> soundmodem is delivered with a SysV init script (/etc/rc.d/init.d/soundmodem)
> New Fedora Core releases have deprecated init scripts in favor of systemd.
> This bug has a patched SPEC and systemd.service file attached.
> 
> Version-Release number of selected component (if applicable):
> 0.15-3
oops, correct version is 0.15-4.
> 
> How reproducible:
> 
> 
> Steps to Reproduce:
> 1. 
> 2.
> 3.
>   
> Actual results:
> 
> 
> Expected results:
> 
> 
> Additional info:
> 
> See attached patch to the soundmodem.spec and systemd soundmodem.service
> file to follow.
Comment 3 Alan Crosswell 2012-09-03 15:12:15 EDT
Created attachment 609463 [details]
patch to soundmodem.spec

replaces /usr/sbin/service and /usr/sbin/checkconfig with /usr/bin/systemctl
replace /etc/rc.d/init.d/soundmodem with /usr/lib/systemd/system/soundmodem.service
Comment 4 Alan Crosswell 2012-09-03 15:14:29 EDT
Created attachment 609466 [details]
patch to soundmodem.spec

patch submitted in error.
Comment 5 Alan Crosswell 2012-09-23 16:02:50 EDT
Created attachment 616215 [details]
systemd soundmodem.service

better version of soundmodem.service that adds an install rule.
Comment 6 Alan Crosswell 2012-09-23 16:08:34 EDT
I've since discovered that the SYSV soundmodem init hangs/times out and systemd reports it as failed, even though the soundmodem process does eventually start running. Services that depend on soundmodem fail to start because systemd thinks it has failed.

The replacement systemd soundmodem.service does start correctly, and services that depend on it also start correctly and immediately after boot.

As such, please raise the priority/severity of this to medium/medium.
Comment 7 Fedora End Of Life 2013-07-04 01:44:05 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 12:56:29 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.